<StructuredTextModel xmlns="http://schemas.datacontract.org/2004/07/Omron.Cxap.Modules.StructuredText.Core" xmlns:i="http://www.w3.org/2001/XMLSchema-instance"><Text>// V1.0 - SERIAL SEND&#xD;
&#xD;
Trigger:=iStart;&#xD;
&#xD;
// Detect when Trigger changes to TRUE.&#xD;
IF ( (Trigger=TRUE) AND (LastTrigger=FALSE)&#xD;
	AND (iDataActiveStatus=TRUE) AND (istSerialSend.Busy=FALSE) ) THEN&#xD;
    OperatingStart:=TRUE;&#xD;
    Operating     :=TRUE;&#xD;
	DevicePort.DeviceType:=_eDEVICE_TYPE#_DeviceNXUnit;&#xD;
	DevicePort.NxUnit:=Node_location_information;&#xD;
	DevicePort.PortNo:=iPortNo;	&#xD;
	oDone:=FALSE;&#xD;
	oError:=FALSE;&#xD;
END_IF;&#xD;
LastTrigger:=Trigger;&#xD;
 &#xD;
 //Clear array&#xD;
Clear(SendDat);&#xD;
 //Transfer string to byte array&#xD;
 StringToAry(In:=iSendData, AryOut:=SendDat[0]);&#xD;
 Size:=LEN(In:=iSendData);&#xD;
 IF iTerminator &lt;&gt; BYTE#00 THEN&#xD;
	 SendDat[Size]:=iTerminator;&#xD;
	 Size:=Size+INT#1;&#xD;
 END_IF;&#xD;
 &#xD;
// Set communications parameters and initialize SerialSend instruction.&#xD;
IF (OperatingStart=TRUE) THEN&#xD;
   istSerialSend(&#xD;
       	Execute := FALSE,&#xD;
		DevicePort := DevicePort,&#xD;
       	SendDat :=SendDat[0],   &#xD;
    	SendSize :=UINT#1,&#xD;
		SendCfg := SendCfg);		&#xD;
    	OperatingStart      :=FALSE;                                           &#xD;
END_IF;&#xD;
 &#xD;
// Execute SerialSend instruction.&#xD;
IF (Operating=TRUE) THEN&#xD;
   istSerialSend(&#xD;
       	 Execute  :=TRUE,&#xD;
         DevicePort     := DevicePort,     // Port settings&#xD;
         SendDat   :=SendDat[0], // Send data&#xD;
         SendSize :=Size,	// Send data size&#xD;
		 SendCfg := SendCfg); //End code Setting&#xD;
 &#xD;
   IF (istSerialSend.Done=TRUE) THEN&#xD;
       // Processing after normal end&#xD;
         Operating:=FALSE;&#xD;
		 oDone:=TRUE;&#xD;
		 oError:=FALSE;&#xD;
   END_IF;&#xD;
 &#xD;
    IF (istSerialSend.Error=TRUE) THEN&#xD;
         // Processing after error end&#xD;
        Operating:=FALSE;&#xD;
	    oDone:=FALSE;&#xD;
		oError:=TRUE;&#xD;
   END_IF;&#xD;
END_IF; &#xD;
&#xD;
IF iStart = FALSE THEN&#xD;
	oDone:=FALSE;&#xD;
	oError:=FALSE;	&#xD;
END_IF;&#xD;
	</Text></StructuredTextModel>